Skip to main content
POST
Cancel a booking

Headers

cal-api-version
string
default:2026-02-25
required

Must be set to 2026-02-25.

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

bookingUid
string
required

Body

application/json

Accepts different types of cancel booking input: Cancel Booking (Option 1 which is for normal or recurring bookings) or Cancel Seated Booking (Option 2 which is for seated bookings)

cancellationReason
string
Example:

"User requested cancellation"

cancelSubsequentBookings
boolean

For recurring non-seated booking only - if true, cancel booking with the bookingUid of the individual recurrence and all recurrences that come after it.

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required

Booking data, which can be either a BookingOutput object, a RecurringBookingOutput object, or an array of RecurringBookingOutput objects